OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
InternalNode< ChildT >::ValueIterator Class Reference

Visits all tile values in this node, i.e. both inactive and active tiles. More...

`#include <nanovdb/util/GridBuilder.h>`

Inheritance diagram for InternalNode< ChildT >::ValueIterator:

## Public Member Functions
| ValueIterator ()
| ValueIterator (const InternalNode *parent)
ValueIterator & | operator= (const ValueIterator &)=default
ValueType | operator* () const
Coord | getCoord () const
bool | isActive () const

## Detailed Description

template<typename ChildT>
class nanovdb::build::InternalNode< ChildT >::ValueIterator

Visits all tile values in this node, i.e. both inactive and active tiles.

## Constructor & Destructor Documentation

## ◆ ValueIterator() [1/2]

template<typename ChildT >

ValueIterator | ( |  | ) |
| inline

## ◆ ValueIterator() [2/2]

template<typename ChildT >

ValueIterator | ( | const InternalNode * | parent | ) |
| inline

## Member Function Documentation

## ◆ getCoord()

template<typename ChildT >

Coord getCoord | ( |  | ) | const
| inline

## ◆ isActive()

template<typename ChildT >

bool isActive | ( |  | ) | const
| inline

## ◆ operator*()

template<typename ChildT >

ValueType operator* | ( |  | ) | const
| inline

## ◆ operator=()

template<typename ChildT >

ValueIterator & operator= | ( | const ValueIterator & |  | ) |
| default